Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Andrea Corallo <[email-masked]>
Date: Sat, 06 Mar 2021 20:26:50 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sat, 06 Mar 2021 19:21:26 +0000
>> 
>> >> The reproducer file is a file that is meant to recreate the same
>> >> libgccjit IR and attempt a compilation with that.  In practice it calls
>> >> the same functions we call at the interface with libgccjit describing
>> >> the code we want to compile and attempt to perform a compilation.
>> >
>> > But any issues caused by actually writing the reproducer to a disk
>> > file, like text-mode conversions and quirks, aren't relevant, right?
>> 
>> Yes that's correct, but unless the C compiler can't parse correctly this
>> file it should work.  Do you think this is the case?
>
> No, I don't.  But I could try removing those funny characters, if you
> think it would help.  Can I remove any characters from those strings
> without introducing unrelated problems?

I think it should not introduce problems but I expect it not to help,
sorry I don't have a certain answers for these, you might want try if
you like and it's quick.

Thanks

  Andrea